### Class

# FwupdPlugin BiosSettings

since: 1.0

#### Description

    final class FwupdPlugin.BiosSettings : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### fu_bios_settings_new

No description available.

since: 1.8.4

#### Instance methods

###### fu_bios_settings_from_json

Loads `FwupdBiosSetting` objects from a JSON node.

since: 1.8.4

###### fu_bios_settings_from_json_file

Adds all BIOS attributes from a JSON filename.

since: 1.8.4

###### fu_bios_settings_get_all

Gets all the attributes in the object.

since: 1.8.4

###### fu_bios_settings_get_attr

No description available.

since: 1.8.4

###### fu_bios_settings_get_pending_reboot

Determines if the system will apply changes to attributes upon reboot.

since: 1.8.4

###### fu_bios_settings_setup

Clears all attributes and re-initializes them. Mostly used for the test suite, but could potentially be connected to udev events for drivers being loaded or unloaded too.

since: 1.8.4

###### fu_bios_settings_to_hash_kv

Creates a `GHashTable` with the name and current value of all BIOS settings.

since: 1.8.4

###### fu_bios_settings_to_variant

Serializes the `FwupdBiosSetting` objects.

since: 1.8.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct FwupdPluginBiosSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.